<template>
	<v-tabs bg-color="white" height="35" v-model="tab" class="px-8" stacked>
		<v-tab
			class="text-capitalize"
			slider-color="#D90E32"
			v-for="(item, index) in tabLinks"
			:key="index"
			:value="item.value"
		>
			{{ item.title }}
		</v-tab>
	</v-tabs>

	<v-divider
		class="border-opacity-100"
		color="#E4E4E4"
		:thickness="2"
	></v-divider>

	<v-window v-model="tab">
		<v-window-item value="profile">
			<v-container class="ma-auto pt-8">
				<UserData :user="getAdminDetails" />
				<ChangeFormProfile @change="changeAdminDetails" />
			</v-container>
		</v-window-item>

		<v-window-item value="staff">
			<v-container class="ma-auto pt-8">
				<StaffList />
			</v-container>
		</v-window-item>
	</v-window>
</template>

<script>
import ChangeFormProfile from '@/components/ChangeFormProfile.vue'
import UserData from '@/components/UserData.vue'
import StaffList from '@/components/StaffList.vue'
import { mapGetters } from 'vuex'

export default {
	name: 'ProfilePage',
	components: {
		UserData,
		ChangeFormProfile,
		StaffList,
	},

	data() {
		return {
			tab: 'profile',
			tabLinks: [
				{ title: 'Profile', value: 'profile', exact: true },
				{ title: 'Staff', value: 'staff' },
			],
		}
	},
	computed: {
		...mapGetters(['getAdminDetails']),
	},

	methods: {
		changeAdminDetails(updatedAdminDetails) {
			Object.assign(this.getAdminDetails, updatedAdminDetails)
		},
	},

	watch: {
		tab(value) {
			this.$router.replace({
				path: this.$route.fullPath,
				query: { tab: value },
			})
		},
	},

	created() {
		this.tab = this.$route?.query?.tab || 'profile'
		this.$router.replace({
			path: this.$route.fullPath,
			query: { tab: this.$route?.query?.tab || 'profile' },
		})
	},
}
</script>

<style lang="scss">
.v-window {
	min-height: 749px;
	margin-bottom: 50px;
}

.v-btn--stacked.v-tab.v-btn {
	padding: 0;
	min-width: 0px;
	margin-right: 32px;
	font-size: 18px;
	color: rgba(41, 49, 72, 0.6);
	font-weight: 500;
	line-height: 24px;
	letter-spacing: 0.2px;
}
</style>
